#include "../include/Cache.h"

namespace environnement {
namespace cache {

  void Cache::transition (void)
  {
    for (uint32_t i=0; i<param->nb_cache_dedicated; i++)
      {
	icache_dedicated[i]->transition();
	dcache_dedicated[i]->transition();
      }
    
    cache_shared->transition();
  }

};
};
